#include "mbed.h"
#include "Adafruit_SSD1306.h"
 
DigitalOut myLed(LED1);
I2C i2c(I2C_SDA, I2C_SCL);

Adafruit_SSD1306_I2c oled (i2c, D4);
 
int main() 
{
    int tickTime = 1000;
    oled.begin(SSD1306_SWITCHCAPVCC);
    wait_ms(200);
    oled.splash();
    oled.display();
    wait(2);
    while(1) 
    {
        myLed = !myLed;
        wait_ms(tickTime);
    }
}